using FluentValidation;
using Hotline.Share.Dtos.Knowledge;

namespace DataSharing.Validators.HuiJu
{
    public class KnowledgeInfoValidator : AbstractValidator<KnowledgeSendDto>
    {
        public KnowledgeInfoValidator()
        {
            RuleFor(d => d.CategoryCode).NotEmpty();
            RuleFor(d => d.CategoryName).NotEmpty();
            RuleFor(d => d.PublishPerson).NotEmpty();
            RuleFor(d => d.OuName).NotEmpty();
            RuleFor(d => d.KName).NotEmpty();
            RuleFor(d => d.KContent).NotEmpty();
            RuleFor(d => d.CreatDate).NotEmpty();
            RuleFor(d => d.BeginDate).NotEmpty();
            RuleFor(d => d.UID).NotEmpty();
        }
    }
}
